<#--
/* Copyright 2009-2011 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 --> 
 
<#macro showreq>
		<p><a href="./progress.html">Graphics Data</a></p> 
		<#assign path = statman.getPath() />
		
		${progress.readReport(path)}
		<#assign revs = progress.getarrayRevision()/>
		<#assign dates = progress.getarrayDate()/>
		<#if !dateFrom?? && !dateTo??>		
			<table class="table">
				<tr><th>Revision</th><th>Measure</th><th>Requirements</th><th>Test purposes</th><th>Leaves</th><#if coverage.loadStorage()><th>Covered</th><th>Not covered</th></#if></tr>
				<#list 0..progress.getarrayDate()?size-1 as i>
					<#assign rev = progress.getArrayData(i)/>
					<tr>
						<td <#if coverage.loadStorage()>rowspan="2"</#if>>${revs[i]}</td><td>Count</td>
						<td>${rev["number of requirements"]}</td>
						<td>${rev["number of test purposes"]}</td>
						<td>${rev["number of leaves"]}</td>
					<#if coverage.loadStorage()>
						<td>${rev["number coverage (green status)"]}</td>
						<td>${rev["number coverage (red status)"]}</td>
					</tr>									
					<tr>
						<td>Percent</td>
						<td>-</td>
						<td>-</td>
						<td>-</td>
						<td>${rev["percent coverage (green status)"]}%</td>
						<td>${rev["percent coverage (red status)"]}%</td>
					</#if>
					</tr>				
				</#list> 
			</table>
		<#else>
			<#if progress.setBeginEnd(dateFrom, dateTo)>
			<table class="table">
			<tr><th>Date</th><th>Measure</th><th>Requirements</th><th>Test purposes</th><th>Leaves</th><#if coverage.loadStorage()><th>Covered</th><th>Not covered</th></#if></tr>
				<#list progress.getBegin()..progress.getEnd() as i>
				<#assign rev = progress.getArrayData(i)/>
					<tr>
						<td <#if coverage.loadStorage()>rowspan="2"</#if>>${dates[i]}</td><td>Count</td>
						<td>${rev["number of requirements"]}</td>
						<td>${rev["number of test purposes"]}</td>
						<td>${rev["number of leaves"]}</td>
					<#if coverage.loadStorage()>
						<td>${rev["number coverage (green status)"]}</td>
						<td>${rev["number coverage (red status)"]}</td>
					</tr>
					<tr>
						<td>Percent</td>
						<td>-</td>
						<td>-</td>
						<td>-</td>
						<td>${rev["percent coverage (green status)"]}%</td>
						<td>${rev["percent coverage (red status)"]}%</td>
					</#if>
					</tr>				
				</#list> 
			</table>
			</#if>			   
		</#if>	
		<p><a href="./progress.html">Graphics Data</a></p> 		
</#macro>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<style type="text/css">
ul {
	list-style-type: none;
	margin-bottom: 10px;
	margin-left:-25px;
	margin-right:-10px;
}

a:link{
	color:#236b8e;
}
a:visited{
	color:#191970;
}
a:focus {
	color:#2f2f4f;
	text-shadow: 0px 0px 1px #2f2f4f, 1px 1px 2px #2f2f4f;
}
a:hover{
	text-shadow: 0px 0px 1px grey;
}

.block {
	width:auto;
	clear:both; 
	padding:10px; 
	background:rgba(184,186,198, 0.1); 
	border: outset 1px #1e90ff;
	border-top:none;
	border-left:dotted 1px #1e90ff; 
	border-radius: 0px 0px 5px 5px;
	box-shadow: 5px 5px 10px rgba(122, 122, 122, 0.5);
}

#report td, #report th { 
   text-align:center;
   font-size:1em;
   border:1px solid #666666;
   padding:3px 7px 2px 7px;
   color:#000000;
}
#report th {
   font-size:1.1em;
   padding-top:5px;
   padding-bottom:4px;
background: rgb(204,204,204); /* Old browsers */
background: -moz-linear-gradient(top,  rgba(204,204,204,1) 0%, rgba(238,238,238,1) 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(204,204,204,1)), color-stop(100%,rgba(238,238,238,1))); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top,  rgba(204,204,204,1) 0%,rgba(238,238,238,1) 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top,  rgba(204,204,204,1) 0%,rgba(238,238,238,1) 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(top,  rgba(204,204,204,1) 0%,rgba(238,238,238,1) 100%); /* IE10+ */
background: linear-gradient(to bottom,  rgba(204,204,204,1) 0%,rgba(238,238,238,1) 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#cccccc', endColorstr='#eeeeee',GradientType=0 ); /* IE6-9 */
}
#report{
   width:100%;
   border-collapse:collapse;
}
.table{
   background: white;
   border-collapse:collapse;
   box-shadow: 5px 5px 10px rgba(122, 122, 122, 0.5);
   margin: 15px;
}

.table td, .table th{
   font-size:1em;
   border:1px outset black;
   padding:3px 7px 2px 7px;
   color:#000000;
}
.table th {
   text-align:center;
   padding-top:5px;
   padding-bottom:4px;
background: rgb(204,204,204); /* Old browsers */
background: -moz-linear-gradient(top,  rgba(204,204,204,1) 0%, rgba(238,238,238,1) 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(204,204,204,1)), color-stop(100%,rgba(238,238,238,1))); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top,  rgba(204,204,204,1) 0%,rgba(238,238,238,1) 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top,  rgba(204,204,204,1) 0%,rgba(238,238,238,1) 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(top,  rgba(204,204,204,1) 0%,rgba(238,238,238,1) 100%); /* IE10+ */
background: linear-gradient(to bottom,  rgba(204,204,204,1) 0%,rgba(238,238,238,1) 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#cccccc', endColorstr='#eeeeee',GradientType=0 ); /* IE6-9 */
}
#container {
  min-width: 1000px;
  max-width: auto;
  background: white; 
}
#header {
   height: 70px;
   width: 1000px auto;
   border-radius: 5px 5px 0 0;
background: rgb(204,204,204);
background: -moz-linear-gradient(top,  rgba(204,204,204,1) 0%, white 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(204,204,204,1)), color-stop(100%, white)); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top,  rgba(204,204,204,1) 0%, white 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top,  rgba(204,204,204,1) 0%, white 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(top,  rgba(204,204,204,1) 0%, white 100%); /* IE10+ */
background: linear-gradient(to bottom,  rgba(204,204,204,1) 0%, white 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#cccccc', endColorstr='white',GradientType=0 ); /* IE6-9 */
}

#header h1{
	font: bold 36px Arial serif;
	margin: 0px;
	padding-top:10px;
	text-align: center;
	text-shadow: 1px 1px 0 #8E9FA5;
}
	
#footer {
   height: 30px;
   width: 1000px auto;
   text-align: right;
   padding-top:10px;
   border-radius: 0 0 5px 5px;
background: rgb(245,246,246);
background: -moz-linear-gradient(top,  white 0%, rgba(219,220,226,1) 54%, rgba(184,186,198,1) 97%, rgba(184,186,198,1) 97%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, white), color-stop(54%,rgba(219,220,226,1)), color-stop(97%,rgba(184,186,198,1)), color-stop(97%,rgba(184,186,198,1))); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top,  white 0%,rgba(219,220,226,1) 54%,rgba(184,186,198,1) 97%,rgba(184,186,198,1) 97%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top,  white 0%,rgba(219,220,226,1) 54%,rgba(184,186,198,1) 97%,rgba(184,186,198,1) 97%); /* Opera 11.10+ */
background: -ms-linear-gradient(top,  white 0%,rgba(219,220,226,1) 54%,rgba(184,186,198,1) 97%,rgba(184,186,198,1) 97%); /* IE10+ */
background: linear-gradient(to bottom,  white 0%,rgba(219,220,226,1) 54%,rgba(184,186,198,1) 97%,rgba(184,186,198,1) 97%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='white', endColorstr='#b8bac6',GradientType=0 ); /* IE6-9 */
}
</style>
</head>
<body>
<#if coverageFilePath?? || coverageStorageType??>
	<#if coverage.loadStorage()>
	
		<#if noAddTestButtons?? && noAddTestButtons!="false">
			<#global showbuttons = false>
		<#else>
			<#global showbuttons = true>
		</#if>
	<#else>
		<#if coverageFilePath??>
			Warning: Coverage information cannot be loaded from 	${coverageFilePath}. Errors: ${coverage.getLastErrors()}
		<#else>
			Warning: Coverage information cannot be loaded from chosen source. Errors: ${coverage.getLastErrors()}
		</#if>
	</#if>	
<#else>
	There is no source of coverage information.<br>
	If using Eclipse plugin please press 'Update Coverage Source' button on report settings' properties.<br>
	If using console mode please set 'coverageFilePath' parameter as -coverageFilePath="path to coverage info file". 
</#if>
<div id="container">
<div id="header"><h1>Requality Project</h1></div>	
		<@showreq/>
<div id="footer">${progress.getDateTime()}</div>
</div>
</body>
</html>